diff --git "a/C:\\Users\\hati\\AppData\\Local\\Temp\\TortoiseGit\\GUI1D21.tmp\\GUIVideoFiles-c648ca4-left.cs" "b/C:\\mp\\MediaPortal-1\\mediaportal\\WindowPlugins\\GUIVideoFiles\\GUIVideoFiles.cs"
index 2861cb3..0cb7112 100644
--- "a/C:\\Users\\hati\\AppData\\Local\\Temp\\TortoiseGit\\GUI1D21.tmp\\GUIVideoFiles-c648ca4-left.cs"
+++ "b/C:\\mp\\MediaPortal-1\\mediaportal\\WindowPlugins\\GUIVideoFiles\\GUIVideoFiles.cs"
@@ -1264,6 +1264,10 @@ namespace MediaPortal.GUI.Video
         dlg.AddLocalizedString(1262); // Update grabber scripts
         dlg.AddLocalizedString(1307); // Update internal grabber scripts
         dlg.AddLocalizedString(1263); // Set default grabber
+        if (!item.IsFolder)
+        {
+          dlg.AddLocalizedString(1984); // Refresh thumb
+        }
       }
 
       dlg.DoModal(GetID);
@@ -1505,6 +1509,25 @@ namespace MediaPortal.GUI.Video
         case 1263: // Set deault grabber script
           SetDefaultGrabber();
           break;
+        case 1984: // Refresh video thumb
+          Log.Debug("Thumb refresh from context menu: {0}", item.Path);
+          if (Util.Utils.FileExistsInCache(item.Path))
+          {
+            string strThumbPath = Util.Utils.GetVideosThumbPathname(item.Path);
+            Util.Utils.GetVideoThumb(item);
+            bool success = Util.VideoThumbCreator.CreateVideoThumb(item.Path, strThumbPath, true, true);
+            if (success)
+            {
+              Log.Debug("Refresh success!");
+              if (facadeLayout.ListLayout.ListItems.Count > 0 && !string.IsNullOrEmpty(_currentFolder))
+              {
+                facadeLayout.SelectedListItemIndex = 0;
+                LoadDirectory(_currentFolder, false);
+              }
+            }
+          }
+
+          break;
         case 1264: // Get media info (refresh mediainfo and duration)
           if (item != null)
           {
